Bug 1503858 - [RFE] [Octavia] NewCmp: python-octaviaclient
Summary: [RFE] [Octavia] NewCmp: python-octaviaclient
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: python-octaviaclient
Version: 13.0 (Queens)
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: Upstream M2
: 13.0 (Queens)
Assignee: Nir Magnezi
QA Contact:
URL:
Whiteboard:
Depends On: 1505482 1513469
Blocks: 1433523 1552443
TreeView+ depends on / blocked
 
Reported: 2017-10-18 22:54 UTC by Nir Magnezi
Modified: 2019-09-10 14:12 UTC (History)
13 users (show)

Fixed In Version: python-octaviaclient-1.3.0-0.20171222184811.922edce.el7ost
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1505482 (view as bug list)
Environment:
Last Closed: 2018-06-27 13:37:56 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
RDO 10529 None master: MERGED rdoinfo: Add octaviaclient (Ifaacad5859029f8d795549293de97e2deaf1248b) 2018-01-03 18:52:53 UTC
RDO 10815 None rpm-master: MERGED openstack/octaviaclient-distgit: Initial import of spec file (I9394d436afea724841ecd6f3d2f450e4368a72b3) 2018-01-03 18:52:44 UTC
RDO 11051 None master: MERGED rdoinfo: Enable octaviaclient for Queens (If372cd4c9b38fbffb237b97ce096b1b352f5e3ab) 2018-01-03 18:52:35 UTC
Red Hat Product Errata RHEA-2018:2086 None None None 2018-06-27 13:38:42 UTC

Description Nir Magnezi 2017-10-18 22:54:18 UTC
Description of problem:
=======================
We'll need to package and ship the Octavia python client in OSP13
1. I filed a request to add this as a bugzilla component. once it is added we should change the component to python-octaviaclient.
1. Once a distgit spec gets proposed, I'll link it here.

Upstream repo: https://github.com/openstack/python-octaviaclient
Upstream docs: https://docs.openstack.org/python-octaviaclient/latest/

Comment 3 Jon Schlueter 2017-10-23 11:38:17 UTC
Is this packaged yet in RDO?

Comment 5 Jon Schlueter 2017-10-23 11:41:40 UTC
dist-git repo for packaging for this package?

Comment 13 Jakub Libosvar 2018-01-03 15:28:43 UTC
The new RPM packages are:
python-octaviaclient
python2-octaviaclient
python3-octaviaclient
python-octaviaclient-doc
python2-octaviaclient-tests
python3-octaviaclient-tests

Comment 21 errata-xmlrpc 2018-06-27 13:37:56 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHEA-2018:2086


Note You need to log in before you can comment on or make changes to this bug.